/*
    The DataBox Libary - developerfriendly working with bytes
    Copyright (C) 2000-2001  Christian Leber

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    e-mail: c_l@bigfoot.com
*/

#ifndef PLIBS_DATABOX_H_
#define PLIBS_DATABOX_H_

/* this is just a meta include, witch includes the other includes */

/* all functions are documentated in the corresponding .h files */

/* the core stuff, all DataBox stuff needs this include and the 
   objects from databox_core.c */
#include "databox/databox_core.h"

#include "databox/databox_base64.h"

#include "databox/databox_tcompress1.h"

#include "databox/databox_crc.h"

#endif /* PLIBS_DATABOX_H_ */
