#include <stdio.h>
#include <string.h>
#include "databox/databox.h"
#include "databox_crypto/databox_crypto.h"
/*
BUGS:
-no error checking
*/

int main()
{
	DataBox *DB1=NULL;
	DataBox *DB2=NULL;
	unsigned char *test1,*test2;
	int i;

	DB1 = DataBox_init(0);

	test1 = (unsigned char *)malloc(6);
	test1[0]=1;
	test1[1]=23;
	test1[2]=32;
	test1[3]=24;
	test1[4]=0;
	test1[5]=199;

	if(DataBox_ucharstr2_to_DataBox(DB1,test1,6) < 0)
	{
		printf("Error in DataBox_ucharstr_to_DataBox\n");
		exit(1);
	}

	printf("before encoding:\n");
	
	DataBox_hexdump(DB1);
	
	test2 = DataBox_DataBox_to_encoded_ucharstr(DB1);
	
	printf("encoded:\n");
	for(i=0;test2[i]!=0;i++)
	{
		printf("%x ",test2[i]);
	}
	printf("\ndecoded:\n");
	
	DB2 = DataBox_init(0);

	DataBox_decode_ucharstr_to_DataBox(DB2,test2);
	
	DataBox_hexdump(DB2);

	if(DataBox_cmp(DB1,DB2)==0)
	{
		printf("success! (they are equal)\n");
		exit(0);
	}
	else
	{
		printf("ERROR! (they are NOT  equal)\n");
		exit(1);
	}	
}
