#include <stdio.h>
#include <string.h>
#include "databox/databox.h"
#include "databox_crypto/databox_crypto.h"
int main()
{
	DataBox *DB1=NULL;
	DataBox *DB2=NULL;
	DataBox *DB3=NULL;
	DataBox *DB4=NULL;
	DataBox *DB_key1=NULL;
	DataBox *DB_key2=NULL;
	DataBoxBLOWFISH *bkey1;
	DataBoxBLOWFISH *bkey2;
	char *test1;
	char *test3;
	char *char_key;	
	char *char_msg;	

	DB1 = DataBox_init(0);
	
	test1 = (char *)strdup("Hallo, dies ist ein test! \0");
	printf("Message: %s\n",test1);

	if(DataBox_ucharstr_to_DataBox(DB1,test1) < 0)
	{
		printf("Error in DataBox_ucharstr_to_DataBox\n");
		exit(1);
	}
	
	
		
	bkey1 = DataBox_blowfish_init();
	DataBox_blowfish_keygen(bkey1,30);

	
	
	
	DB2 = DataBox_init(0);

	DataBox_tcompress1(DB2,DB1);

	DataBox_blowfish_encrypt(DB2,bkey1);

	
	/* now lets encode the key and the message as base 64 */
	DB_key1 = DataBox_init(0);
	DataBox_DataBoxBLOWFISH_to_DataBox(DB_key1,bkey1);
	
	char_key = (char *)DataBox_DataBox_to_base64(DB_key1);

	char_msg = (char *)DataBox_DataBox_to_base64(DB2);
	
	printf("now base64 encoded:\n");
	printf("key: %s\n",char_key);
	printf("msg: %s\n",char_msg);
	
	/* now back from base64 */
	
	DB_key2 = DataBox_init(0);
	DataBox_base64_to_DataBox(DB_key2,char_key);
	printf("Hallo Welt!\n");
	bkey2 = DataBox_blowfish_init();
	DataBox_DataBox_to_DataBoxBLOWFISH(bkey2,DB_key2);
	
	DB3 = DataBox_init(0);
	DataBox_base64_to_DataBox(DB3,char_msg);
	
	DataBox_blowfish_decrypt(DB3,bkey2);
	
	DB4 = DataBox_init(0);
	DataBox_tdecompress1(DB4,DB3);
	test3 = DataBox_DataBox_to_charstr(DB4);
	
	printf("Message: %s\n",test3);
	if(DataBox_cmp(DB1,DB4) == 0)
	{
		printf("they are the same! success!\n");
		exit(0);
	}
	else
	{
		printf("they are not the same, this should NOT happen\n");
		printf("before:\n");
		DataBox_hexdump(DB1);
		printf("after:\n");
		DataBox_hexdump(DB4);
		exit(1);
	}
	exit(0);
}
