#ifndef PLIBS_TYPES_H_
#define PLIBS_TYPES_H_
#include "config.h"

#if SIZEOF_UNSIGNED_LONG_INT == 4
typedef unsigned long plibs_u32;
#elif SIZEOF_UNSIGNED_INT == 4
typedef unsigned int plibs_u32;
#else
#error "Cannot find a 32 bit integer in your system, sorry."
#endif

#if SIZEOF_UNSIGNED_CHAR == 1
typedef unsigned char plibs_byte;
typedef unsigned char plibs_u8;
#else
#error "Cannot find an 8 bit char in your system, sorry."
#endif

#ifdef WORDS_BIGENDIAN
  #define BIG_ENDIAN_HOST
#endif

#endif /* PLIBS_TYPES_H_ */
