#include "plibs_types.h"

#define BLOWFISH_ROUNDS 16

typedef struct {
	plibs_u32 s0[256];
	plibs_u32 s1[256];
	plibs_u32 s2[256];
	plibs_u32 s3[256];
	plibs_u32 p[BLOWFISH_ROUNDS+2];
} BLOWFISH_context;

int  bf_setkey( BLOWFISH_context *c, plibs_u8 *key, unsigned keylen );
void encrypt_block( BLOWFISH_context *bc, plibs_u8 *outbuf, plibs_u8 *inbuf );
void decrypt_block( BLOWFISH_context *bc, plibs_u8 *outbuf, plibs_u8 *inbuf );

