#include <stdio.h>
#include <string.h>
#include "databox/databox.h"
#include "databox_crypto/databox_crypto.h"
/*
BUGS:
-no error checking
*/

int main()
{
	DataBox *DB1=NULL;
	DataBox *DB2=NULL;
	char *test1;

	DB1 = DataBox_init(0);

	test1 = (char *)strdup("Hallo, dies ist ein test!\0");
	printf("Message: %s\n",test1);

	if(DataBox_ucharstr_to_DataBox(DB1,test1) < 0)
	{
		printf("Error in DataBox_ucharstr_to_DataBox\n");
		exit(1);
	}
	
	DB2 = DataBox_init(0);
	DataBox_hash_md5_normal(DB2,DB1);

	printf("MD5 Digest:\n");
	DataBox_hexdump(DB2);

	/* tidy up */
	free(test1);
	DataBox_destroy(DB1);
	DataBox_destroy(DB2);
	exit(0);
}
