#include "config.h"
#include "config.h"
#include "databox_crypto/databox_crypto.h"

/* FIXME unused */
#include <time.h> /* because of FreeBSD */

#define DS_NICK_HASHSIZE 1 //FIXME DON'T CHANGE!

struct __node_nick_list {
	struct __node_nick_list *next;
	char *nick; /* tolower */
	char *onick; /* "original" */
	char *host; /* host */
	char *username; /* find out yourself */
	char *realname; /* the same */
//	time_t last_heard_of; /* the last time there was new information from or about */

	/* normaly this is set to 0
	 * but if we have to wait for the return of SIT_PROTOCOL to send the symkey
	 * then we set it to 1 */
	int send_pers_symkey;

	/* 0 = initialized
	 * 1 = normal, transparent, has been warned
	 * 4 = crypto mode */
	char query_mode;

	clrsa_public *rsa_public; /* the rsa public key, NULL if we've got no public key */
	/* blowfish for channel... what to do if there are more channels? */
	DataBoxBLOWFISH *blowfish_query_send;	/* blowfish key for query (send to the other side) */
	DataBoxBLOWFISH *blowfish_query_recv;	/* blowfish key for query (recive from the other side) */
	};
typedef struct __node_nick_list node_nick_list;

typedef struct {
	node_nick_list *DS_nick[DS_NICK_HASHSIZE];
	char *NICKNAME; /* your nickname on this server */
	int our_sit_protocol;

	char *key_directory_privat;
} node_s_list;

/* ######################################################## */
/* for the NICKS                                            */
/* for the nick data strcuture */

/* this returns a hash value for the given string, the
   string should have been set tolower allready...          */      
unsigned DS_nick_hash(char *s);
/* this returns a pointer to the data structure of the      */
/* given nick                                               */
node_nick_list *DS_nick_lookup(node_s_list *this_DS_s, char *nick);
node_nick_list *DS_nick_install(node_s_list *this_DS_s, char *onick);
int DS_nick_undef(node_s_list *this_DS_s, char *onick);
void DS_nick_giveall(node_s_list *this_DS_s);

char *irc_tolower(char *input);


